network
/api/v1/network/item/count_local
POST
/api/v1/network/item/count_local
const url = 'https://dpg.example.com/api/v1/network/item/count_local';const options = { method: 'POST', headers: {'x-instance-token': '<x-instance-token>', 'Content-Type': 'application/json'}, body: '{"item_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","item_network":"example","item_domain":"example","item_type":"example","item_instance_url":"https://example.com","item_schema_url":"https://example.com","item_state":{"additionalProperty":"example"},"item_latitude":1,"item_longitude":1,"radius_meters":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dpg.example.com/api/v1/network/item/count_local \ --header 'Content-Type: application/json' \ --header 'x-instance-token: <x-instance-token>' \ --data '{ "item_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "item_network": "example", "item_domain": "example", "item_type": "example", "item_instance_url": "https://example.com", "item_schema_url": "https://example.com", "item_state": { "additionalProperty": "example" }, "item_latitude": 1, "item_longitude": 1, "radius_meters": 1 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
item_id
string format: uuid
item_network
required
string
item_domain
required
string
item_type
string
item_instance_url
string format: uri
item_schema_url
string format: uri
item_state
object
key
additional properties
item_latitude
number
item_longitude
number
radius_meters
number
Examplegenerated
{ "item_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "item_network": "example", "item_domain": "example", "item_type": "example", "item_instance_url": "https://example.com", "item_schema_url": "https://example.com", "item_state": { "additionalProperty": "example" }, "item_latitude": 1, "item_longitude": 1, "radius_meters": 1}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
count
required
number
Examplegenerated
{ "count": 1}
